> ## Documentation Index
> Fetch the complete documentation index at: https://www.octoparse.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Obtain a New Token

> **Required plan:** All users.

Before getting access to the Octoparse OpenAPI, you will need your username and password to get a new Access Token.



## OpenAPI

````yaml /en/api/openapi.json post /token
openapi: 3.0.1
info:
  title: Octoparse API
  description: >-
    Octoparse OpenAPI allows you to programmatically manage tasks, run cloud
    extractions, and retrieve scraped data. Base URL:
    `https://openapi.octoparse.com`
  version: 1.0.0
servers:
  - url: https://openapi.octoparse.com
    description: Octoparse API Server
security: []
paths:
  /token:
    post:
      tags:
        - Access Token
      summary: Obtain a New Token
      description: >-
        **Required plan:** All users.


        Before getting access to the Octoparse OpenAPI, you will need your
        username and password to get a new Access Token.
      operationId: obtainToken
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - username
                - password
                - grant_type
              properties:
                username:
                  type: string
                  description: Account email address or username
                password:
                  type: string
                  description: Account password
                grant_type:
                  type: string
                  description: Must be `password`
                  example: password
      responses:
        '200':
          description: Token obtained successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      access_token:
                        type: string
                      expires_in:
                        type: integer
                        description: Expiry time in seconds
                      token_type:
                        type: string
                      refresh_token:
                        type: string
                  requestId:
                    type: string

````